org.apache.ignite.internal.processors.platform.client.cache

## Class ClientCacheKeyRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequest
  - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheRequest
    - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheKeyRequest

All Implemented Interfaces:
  ClientListenerRequest, ClientTxAwareRequest

Direct Known Subclasses:
  ClientCacheClearKeyRequest, ClientCacheContainsKeyRequest, ClientCacheGetAndRemoveRequest, ClientCacheGetRequest, ClientCacheKeyValueRequest, ClientCacheLocalPeekRequest, ClientCacheRemoveKeyRequest

    public abstract class ClientCacheKeyRequest
    extends ClientCacheRequest
    implements ClientTxAwareRequest

Cache request involving key.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isTransactional()` Gets a value indicating whether request was made under transaction.
`Object` `key()` Gets the key.
`int` `txId()` Gets transaction ID.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.cache.ClientCacheRequest

`cache, cacheDescriptor, cacheDescriptor, cacheId, isKeepBinary, rawCache`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientRequest

`process, requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.platform.client.tx.ClientTxAwareRequest

`isTransactional, txId`

### Method Detail

#### key

    public Object key()

Gets the key.

Returns:
  Key.

#### txId

    public int txId()

Gets transaction ID.

#### isTransactional

    public boolean isTransactional()

Gets a value indicating whether request was made under transaction.

Overrides:
  `isTransactional` in class `ClientCacheRequest`
Returns:
  Flag value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021